package com.seer.teach.common.enums;

import lombok.Getter;

/**
 * 交易类型枚举类
 */
@Getter
public enum TradeTypeEnum {

    /**
     * 支付
     */
    PAY(1, "支付"),

    /**
     * 退款
     */
    REFUND(2, "退款");

    private final int code;
    private final String desc;

    TradeTypeEnum(int code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    /**
     * 根据code获取对应的枚举
     *
     * @param code 枚举值
     * @return 枚举对象
     */
    public static TradeTypeEnum fromCode(int code) {
        for (TradeTypeEnum type : values()) {
            if (type.getCode() == code) {
                return type;
            }
        }
        return null; // 或抛出异常，根据实际需求决定
    }
}